import assert from 'assert';
import utils from '../src/utils.js';

const key = 24;
const msg1 = "I'm 大戴禮記, and my dad's ابوابو عبد الله🤣😜";

const encoded1 = utils.decode(msg1, key, 'utf8');
const share = utils.encode(encoded1, key, 'base64', true);

const encoded2 = utils.decode(share, key, 'base64');
for (let i = 0; i < encoded2.length; i++) {
    assert.equal(encoded1[i].toString(16), encoded2[i].toString(16))
}

const msg2 = utils.encode(encoded2, key, 'utf8');
assert.equal(msg1, msg2)
